<template>
  <div>
    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-plus"
          v-hasPermi="['smartor:patinhosp:add']"
          type="primary"
          @click="handleAdd"
          >新增</el-button
        >
      </el-col>
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-edit"
          :disabled="single"
          v-hasPermi="['smartor:patinhosp:edit']"
          type="success"
          @click="handleUpdate"
          >修改</el-button
        >
      </el-col>
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-delete"
          :disabled="multiple"
          v-hasPermi="['smartor:patinhosp:remove']"
          type="danger"
          @click="handleDelete"
          >删除</el-button
        >
      </el-col>
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-download"
          v-hasPermi="['smartor:patinhosp:export']"
          type="warning"
          @click="handleExport"
          >导出</el-button
        >
      </el-col>
      <right-toolbar :showSearch.sync="showSearch" @queryTable="getList" />
    </el-row>
    <el-table
      v-loading="loading"
      :data="dataList"
      @selection-change="handleSelectionChange"
      @row-click="rowChanged"
    >
      <el-table-column width="50" type="selection" align="center" />
      <el-table-column prop="id" label="  自增ID " align="center" />
      <el-table-column prop="visittime" label=" 复诊时间" align="center" />
      <el-table-column prop="visitdoctor" label=" 复诊医生" align="center" />
      <el-table-column prop="visitdept" label=" 复诊科室" align="center" />
      <el-table-column prop="visitdesc" label=" 复诊结果" align="center" />
      <el-table-column prop="hospitalname" label="  医院名称 " align="center" />
      <el-table-column prop="hospitalcode" label="  医院编号 " align="center" />
      <el-table-column
        prop="hospitaldistrictcode"
        label="  院区编号 "
        align="center"
      />
      <el-table-column
        prop="hospitaldistrictname"
        label="  院区名称 "
        align="center"
      />
      <el-table-column
        prop="icd10code"
        label="  入院诊断ICD值 "
        align="center"
      />
      <el-table-column prop="diagname" label="  入院诊断名称 " align="center" />
      <el-table-column prop="starttime" label="  入院时间 " align="center" />
      <el-table-column prop="endtime" label="  出院时间 " align="center" />
      <el-table-column prop="deptcode" label="  入院科室代码 " align="center" />
      <el-table-column prop="deptname" label="  入院科室名称 " align="center" />
      <el-table-column prop="roomno" label="  房间号 " align="center" />
      <el-table-column prop="bedno" label="  床位号 " align="center" />
      <el-table-column prop="orgid" label="  机构ID " align="center" />
      <el-table-column prop="del_flag" label="  删除标记 " align="center" />
      <el-table-column prop="update_by" label="  更新人 " align="center" />
      <el-table-column prop="update_time" label="  更新时间 " align="center" />
      <el-table-column prop="create_by" label="  创建人 " align="center" />
      <el-table-column prop="create_time" label="  创建时间 " align="center" />
      <el-table-column prop="isupload" label="  上传标记 " align="center" />
      <el-table-column prop="upload_time" label="  上传时间 " align="center" />
      <el-table-column prop="patid" label="  档案ID " align="center" />
      <el-table-column
        prop="leavediagname"
        label="  出院诊断 "
        align="center"
      />
      <el-table-column
        prop="leaveicd10code"
        label="  出院诊断ICD值 "
        align="center"
      />
      <el-table-column prop="drcode" label="  医生工号 " align="center" />
      <el-table-column prop="drname" label="  医生名称 " align="center" />
      <el-table-column
        prop="schemestatus"
        label="  是否生成方案状态"
        align="center"
      />
      <el-table-column
        prop="generalschemestatus"
        label="  是否生成通用方案状态"
        align="center"
      />
      <el-table-column
        prop="leaveldeptcode"
        label="  出院科室代码 "
        align="center"
      />
      <el-table-column
        prop="leaveldeptname"
        label="  出院科室代码 "
        align="center"
      />
      <el-table-column
        prop="hospitaldistrictid"
        label="  病区ID "
        align="center"
      />
      <el-table-column
        prop="leavehospitaldistrictcode"
        label="  出院病区编号 "
        align="center"
      />
      <el-table-column
        prop="leavehospitaldistrictname"
        label="  出院病区名称 "
        align="center"
      />
      <el-table-column
        prop="leavehospitaldistrictid"
        label="  出院病区ID "
        align="center"
      />
      <el-table-column prop="deptid" label="  入院科室ID " align="center" />
      <el-table-column
        prop="leaveldeptid"
        label="  出院科室ID "
        align="center"
      />
      <el-table-column
        prop="schemetime"
        label="  方案状态操作时间 "
        align="center"
      />
      <el-table-column prop="pid" label=" 父ID" align="center" />
      <el-table-column prop="guid" label=" GUID" align="center" />
    </el-table>
  </div>
</template>
<script>
import {
  listpat_med_apointment,
  getpat_med_apointment,
  delpat_med_apointment,
  addpat_med_apointment,
  updatepat_med_apointment,
} from "@/api/smartor3/pat_med_apointment";
export default {
  name: "dw_list_pat_med_apointment",
  dicts: ["sys_user_sex", "sys_patientfrom"],
  data() {
    return {
      parent: null,
      // 遮罩层
      loading: true, //false,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: false,
      // 总条数
      total: 0,
      // 表格数据
      dataList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        name: null,
        idcardno: null,
        source: null,
        telcode: null,
        orgid: null,
        isupload: null,
        uploadTime: null,
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {},
    };
  },
  created() {
    //this.getList();
  },
  methods: {
    getList() {
      this.loading = true;
      listpat_med_apointment(this.queryParams).then((response) => {
        this.dataList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    handleSelectionChange(selection) {
      this.ids = selection.map((item) => item.patid);
      this.single = selection.length !== 1;
      this.multiple = !selection.length;
      //alert("selections:"+this.ids[0])
      //this.$parent.selectionChanged(this.ids[0])
    },
    handleAdd() {
      this.$parent.HandleCmdDefault("bill.new", this.ids[0]);
    },
    handleUpdate() {
      this.$parent.HandleCmdDefault("bill.open", this.ids[0]);
    },
    rowChanged(row) {
      //alert(row.patid)
      //console.log(row)
      //this.$parent.selectionChanged(row.id)
      this.$parent.id = row.id;
    },
  },
};
</script>
